/* ===== CUSTOM STYLES =====*/

.card-header-at {
  padding: var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);
  margin-bottom: 0;
  color: #1e1e1e;
  background-color: #000000;
  border-bottom: var(--bs-card-border-width) solid var(--bs-card-border-color);
}

.card-header-at:first-child {
  border-radius: .35em .35em 0 0;
}

.form-group {
  margin-bottom: .25rem;
}

.input-group-prepend100 {
  display: block;
  width: 100px;
  margin-right: -1px;
}

.input-group-prepend120 {
  display: block;
  width: 120px;
  margin-right: -1px;
}

.input-group-prepend140 {
  display: block;
  width: 140px;
  margin-right: -1px;
}

.input-group-prepend160 {
  display: block;
  width: 160px;
  margin-right: -1px;
}

.input-group-prepend180 {
  display: block;
  width: 180px;
  margin-right: -1px;
}

input-group-append {
  display: flex;
  margin-left: -1px;
}

.input-group-append .btn {
  position: relative;
  z-index: 2;
}

.input-group-append .btn + .btn,
.input-group-append .btn + .input-group-text,
.input-group-append .input-group-text + .input-group-text,
.input-group-append .input-group-text + .btn,
.input-group-append .dropdown{
  margin-left: -1px;
}


.input-group-append {
  margin-left: -1px;
}


.spacer {
	padding-top: 5px !important;
}

.spacer-sm {
	padding-top: 10px !important;
}

.spacer-md {
	padding-top: 20px !important;
}

.spacer-lg {
	padding-top: 30px !important;
}

.text-tiny{
	font-size: .9em;
	font-style: italic;
	padding-left: 20px;
 	color: #686868;
}

.tiny-text{
	font-size: .8em;
	padding-left: 15px;
	padding-bottom: 10px;
 	color: #484848;
}

.mini-text{
	font-size: .8em;
	padding-bottom: 5px;
 	color: #484848;
}

.form-text{
	font-size: .8em;
	padding-top: 5px;
 	color: #484848;
}

.form-text-top{
	font-size: .8em;
	padding-top: 3px;
 	color: #484848;
}

.chk-md {
  	height: 25px !important;
  	width: 25px !important;
 	display: inline-flex;
   	border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.chk-lg {
  	height: 32px !important;
  	width: 33px !important;
 	display: inline-flex;
   	border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.row-pointer {
  cursor: pointer !important;
}

.hide-col {
  overflow: hidden;
  width: 0!important;
  max-width: 0!important;
  padding: 0!important;
  border-width: 0!important;
  font-size: 0!important;
}

.block-text {
	font-size: .8rem;
	border: 1px solid #d2d5dd;
	border-radius: calc(0.3rem - 1px);
	padding: 5px;
	background-color: #fff4e9;
	color: #040404;
	min-height: 30px;
	margin-left: -35px;
}

.block-text-area {
	font-size: .8rem;
	border: 1px solid #d2d5dd;
	border-radius: calc(0.3rem - 1px);
	padding: 5px;
	background-color: #fff4e9;
	color: #040404;
	min-height: 100px;
}

.block-text-bold {
	display: block;
	width: 90%;
	font-size: .8rem;
	font-weight: 700;
	border: 1px solid #b9bcc3;
	border-radius: calc(0.3rem - 1px);
	padding: 5px;
	background-color: #eaeaea;
	min-height: 30px;
}

.modal-header-warning {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	padding: .5rem 1rem;
	border-bottom: 1px solid #e3e6f0;
	border-top-left-radius: calc(0.3rem - 1px);
	border-top-right-radius: calc(0.3rem - 1px);
	background-image: linear-gradient(#ffe5a6, #ffc12f);
	/*background-color: #4e73df;*/
	color: #4c4c4c;
}

.modal-footer-warning {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: flex-end;
	padding: 0.25rem;
	border-top: 1px solid #e3e6f0;
	border-bottom-right-radius: calc(0.3rem - 1px);
	border-bottom-left-radius: calc(0.3rem - 1px);
	background-image: linear-gradient(#ffc12f, #ffe5a6);
}


.custom-file-input {
  position: relative;
  z-index: 2;
  width: 100%;
  height: calc(1.2em + 0.5rem);
  margin: 0;
  opacity: 0;
}

.custom-file-input:focus ~ .custom-file-label {
  border-color: #bac8f3;
  box-shadow: 0 0 0 0.2rem rgba(78, 115, 223, 0.25);
}

.custom-file-input[disabled] ~ .custom-file-label,
.custom-file-input:disabled ~ .custom-file-label {
  background-color: #eaecf4;
}

.custom-file-input:lang(en) ~ .custom-file-label::after {
  content: "Photo";
}

.custom-file-input ~ .custom-file-label[data-browse]::after {
  content: attr(data-browse);
}

.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: calc(1.5em + 0.8rem + 1px);
  padding: 0.375rem 0.75rem;
  font-weight: 400;
  line-height: 1;
  color: #6e707e;
  background-color: #e1eeff;
  border: 1px solid #d1d3e2;
  border-radius: 0;
  border-top-right-radius: .35em;
  border-bottom-right-radius: .35em;
}

.custom-file-label::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 3;
  display: block;
  height: calc(1.5em + 0.55rem +1px);
  padding: 0.375rem 0.75rem;
  line-height: 1.4;
  color: #616161;
  content: "Photo";
  font-size: .8rem;
  background-color: #eaeaea;
  border-left: inherit;
  border-radius: 0 0.35rem 0.35rem 0;
}

.photo-frame {
	border: 1px solid #bababa;
    border-radius: 0.25rem;
	padding: .5rem;
	width: 75%;
	height: 75%;
}

.img-fluid-350 {
  display: block;
  max-width: 350px;
  max-height: 350px;
}

.btn-search {
  --bs-btn-color: #fff;
  --bs-btn-bg: #48a556;
  --bs-btn-border-color: #198754;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #157347;
  --bs-btn-hover-border-color: #146c43;
  --bs-btn-focus-shadow-rgb: 60, 153, 110;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #146c43;
  --bs-btn-active-border-color: #13653f;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #198754;
  --bs-btn-disabled-border-color: #198754;
  border-left: 0;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  max-width: 80px !important;
}

.list-group-territories {
	display: flex;
	flex-direction: column;
	border-radius: 0.25rem;
	max-height: 380px;
	overflow: auto;	
}